# 项目相关配置
huijy:
  # 名称
  name: HuiJY
  # 版本
  version: 3.6.0
  # 版权年份
  copyrightYear: 2021
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/huijy/uploadPath，Linux配置 /home/huijy/uploadPath）
  profile: /home/huijy/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 8080
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30

# 日志配置
logging:
  level:
    com.ruoyi: debug
    org.springframework: warn

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  10MB
       # 设置总上传的文件大小
       max-request-size:  20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 30

# MyBatisPlus配置
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl #开启sql日志
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 自定义TypeHandler
  type-handlers-package: com.huijy.framework.config.typehandler
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.huijy.**.domain,com.huijy.**.entity
  global-config:
    #是否控制台
    banner: false
    db-config:
      #主键类型
      id-type: auto
# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

wx:
  # 公众号配置
  mp:
    configs:
      - appId: wx88f523f0487780de
        secret: 96d42005d653420f7fd8952148893e68
        token: qrjfwechat2017
        aesKey: KYgyocjIfT5IIxNJx1HiZIsVCHvkbRDXFphdcMepOEp
  # 小程序配置
  ma:
    configs:
      - appId: wx01e139c8c2cd0fa4
        secret: 9c268c8690582261491304beab903412
        # 微信支付商户号，请去微信支付平台申请
        mchId: 1588227511
        # 微信支付商户密钥，请去微信支付平台申请
        mchKey: xxxxxxxxxxxxxxxxxxxxx

mall:
  # 支付、物流回调地址，即后台服务7500端口的外网访问域名，要保证外网能访问
  notify-host: http://xx.xxxx.com

api:
  # APP模块，是通过jwt认证的，如果要使用APP模块，则需要修改【加密秘钥】
  jwt:
    # 加密秘钥
    secret: a0dad695ddaf43f465dd51f4591c8f4e[huijy.iot]
    # token有效时长，7天，单位秒
    expire: 604800
    header: apiToken
